summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2021-12-02 16:49:01 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2021-12-05 11:24:54 +0100
commit28de41f0523327e9f7334595017b5cdc37d0513b (patch)
tree1d9faa52a6d591422b87f62ecdbbb2185d036e99
parentmedia-sound/yoshimi: bump to 2.1.2.2, dropped 2.1.2.1 (diff)
downloadgentoo-28de41f0523327e9f7334595017b5cdc37d0513b.tar.gz
gentoo-28de41f0523327e9f7334595017b5cdc37d0513b.tar.bz2
gentoo-28de41f0523327e9f7334595017b5cdc37d0513b.zip
sys-libs/glibc: Update live ebuild
Package-Manager: Portage-3.0.28, Repoman-3.0.3 Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>
-rw-r--r--sys-libs/glibc/glibc-9999.ebuild31
1 files changed, 14 insertions, 17 deletions
diff --git a/sys-libs/glibc/glibc-9999.ebuild b/sys-libs/glibc/glibc-9999.ebuild
index 79318fb53543..f5422fcf72cb 100644
--- a/sys-libs/glibc/glibc-9999.ebuild
+++ b/sys-libs/glibc/glibc-9999.ebuild
@@ -47,7 +47,7 @@ SRC_URI+=" https://gitweb.gentoo.org/proj/locale-gen.git/snapshot/locale-gen-${L
SRC_URI+=" multilib-bootstrap? ( https://dev.gentoo.org/~dilfridge/distfiles/gcc-multilib-bootstrap-${GCC_BOOTSTRAP_VER}.tar.xz )"
SRC_URI+=" systemd? ( https://gitweb.gentoo.org/proj/toolchain/glibc-systemd.git/snapshot/glibc-systemd-${GLIBC_SYSTEMD_VER}.tar.gz )"
-IUSE="audit caps cet compile-locales +crypt custom-cflags doc gd headers-only +multiarch multilib multilib-bootstrap nscd profile selinux +ssp +static-libs static-pie suid systemd systemtap test vanilla"
+IUSE="audit caps cet +clone3 compile-locales +crypt custom-cflags doc gd headers-only +multiarch multilib multilib-bootstrap nscd profile selinux +ssp +static-libs static-pie suid systemd systemtap test vanilla"
# Minimum kernel version that glibc requires
MIN_KERN_VER="3.2.0"
@@ -723,20 +723,6 @@ sanity_prechecks() {
fi
}
-upgrade_warning() {
- if [[ ${MERGE_TYPE} != buildonly && -n ${REPLACING_VERSIONS} && -z ${ROOT} ]]; then
- local oldv newv=$(ver_cut 1-2 ${PV})
- for oldv in ${REPLACING_VERSIONS}; do
- if ver_test ${oldv} -lt ${newv}; then
- ewarn "After upgrading glibc, please restart all running processes."
- ewarn "Be sure to include init (telinit u) or systemd (systemctl daemon-reexec)."
- ewarn "Alternatively, reboot your system."
- break
- fi
- done
- fi
-}
-
#
# the phases
#
@@ -747,7 +733,6 @@ pkg_pretend() {
# All the checks...
einfo "Checking general environment sanity."
sanity_prechecks
- upgrade_warning
}
pkg_setup() {
@@ -799,6 +784,14 @@ src_prepare() {
einfo "Done."
fi
+ if use clone3 ; then
+ append-cppflags -DGENTOO_USE_CLONE3
+ else
+ # See e.g. bug #827386, bug #819045.
+ elog "Disabling the clone3 syscall for compatibility with older Electron apps."
+ elog "Please re-enable this flag before filing bugs!"
+ fi
+
default
gnuconfig_update
@@ -1555,7 +1548,11 @@ pkg_postinst() {
use compile-locales || run_locale_gen "${EROOT}/"
fi
- upgrade_warning
+ if systemd_is_booted && [[ -z ${ROOT} ]] ; then
+ # We need to restart systemd when upgrading from < 2.34
+ # bug #823756
+ systemctl daemon-reexec
+ fi
# Check for sanity of /etc/nsswitch.conf, take 2
if [[ -e ${EROOT}/etc/nsswitch.conf ]] && ! has_version sys-auth/libnss-nis ; then